### Method

# Nautilus ColumnProvider get_columns

#### Declaration [src]

    GList*
    nautilus_column_provider_get_columns (
      NautilusColumnProvider* provider
    )

#### Description [src]

Provide a list of `NautilusColumn`.

The `NautilusColumnProvider` only provides the metadata of the columns (importantly the `NautilusColumn:attribute`). You will very likely also implement `NautilusInfoProvider` in order to call `nautilus_file_info_add_string_attribute()` on all necessary files.

This method should return immediately without any blocking i/o.

#### Return value

Type: A list of `NautilusColumn*`

The provided `NautilusColumn` objects.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.